Package org.linphone.core

# Enum Class SupportLevel

java.lang.Object
java.lang.Enum<SupportLevel>
org.linphone.core.SupportLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<SupportLevel>`, `Constable`

public enum SupportLevel extends Enum<SupportLevel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Mandatory`
Mandatory support for the feature.
`NoSupport`
No support for the feature.
`Optional`
Optional support for the feature.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SupportLevel`
`fromInt(int value)`
`protected static SupportLevel[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SupportLevel[] values)`
`static SupportLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SupportLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NoSupport

public static final SupportLevel NoSupport
No support for the feature.

### Optional

public static final SupportLevel Optional
Optional support for the feature.

### Mandatory

public static final SupportLevel Mandatory
Mandatory support for the feature.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SupportLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SupportLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SupportLevel fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SupportLevel[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SupportLevel[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()